seo:
  title: 'AI trends for 2025: Agentic AI, self-hosted models, and more'
  description: >-
    Discover coming trends in AI for software development, from on-premises
    model deployments to proactive AI assistants.
  ogTitle: 'AI trends for 2025: Agentic AI, self-hosted models, and more'
  ogDescription: >-
    Discover coming trends in AI for software development, from on-premises
    model deployments to proactive AI assistants.
  noIndex: false
  ogImage: >-
    images/blog/hero-images/display-the-source-article-ai-trends-coming-in-2026-image-0492-1800x945-fy25.png
  ogUrl: >-
    https://about.gitlab.com/blog/ai-trends-for-2025-agentic-ai-self-hosted-models-and-more
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: >-
    https://about.gitlab.com/blog/ai-trends-for-2025-agentic-ai-self-hosted-models-and-more
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "AI trends for 2025: Agentic AI, self-hosted models, and more",
            "author": [{"@type":"Person","name":"Emilio Salvador"}],
            "datePublished": "2025-01-13",
          }

content:
  title: 'AI trends for 2025: Agentic AI, self-hosted models, and more'
  description: >-
    Discover coming trends in AI for software development, from on-premises
    model deployments to proactive AI assistants.
  authors:
    - Emilio Salvador
  heroImage: >-
    images/blog/hero-images/display-the-source-article-ai-trends-coming-in-2026-image-0492-1800x945-fy25.png
  date: '2025-01-13'
  body: >-
    This is the [AI trends for 2025: Agentic AI, self-hosted models, and
    more](https://about.gitlab.com/the-source/ai/ai-trends-for-2025-agentic-ai-self-hosted-models-and-more/)
    post.
  category: AI/ML
  tags:
    - AI/ML
config:
  slug: ai-trends-for-2025-agentic-ai-self-hosted-models-and-more
  featured: false
  template: BlogPost
  externalUrl: >-
    https://about.gitlab.com/the-source/ai/ai-trends-for-2025-agentic-ai-self-hosted-models-and-more/
